AutoSpell Typing Helper Overview

Autospell Typing Helper is an interactive application designed to work with almost any Microsoft Windows application that uses the standard edit or richedit controls and some other popular control.

AutoSpell Typing Helper automatic shows the list of word that you are typing. If you only remember part of word you are typing, all possible words are listed for you to select. This is even better than spell checker. With spell checker, you type the misspelled words, do a spelling checking and fix it. Take more time to get the correct words.

It also saves your time by selecting the long words from the list.

Copyright © 1995-2003, CompuBridge, Inc. All rights reserved.


AutoSpell Spell Checker Overview

Autospell Spell Checker is an interactive Spelling Checker designed to work with almost any Microsoft Windows application that uses the standard edit or richedit controls and some other popular control.

AutoSpell Spell Checker gives you automatic Spell-As-You-Type. The best part of it is that you do not need to press any hotkey to use it. You see the misspelled word when you are typing. In those busy world, who has the time to press another key to check the spelling when you are busy on line chatting?

Everyone has a favorite application that doesn't include spelling, or one that is slow to respond or hard to use. With Autospell Spell Checker , you can easily spell checking a word, paragraph, or entire document in almost any windows program. One of the most beneficial aspects of Autospell is the minimal learning curve. With its standard Windows user interface and unparalleled options, you'll be an expert in no time at all and be using AutoSpell with all your applications.

AutoSpell can spell-check in the exact same way anywhere in Windows. Some examples of where you can spell-check include:

  • On line chat program, such as ICQ, yahoo instance message, msn instance message.
  • Fax application.
  • Developing tool. Such as sourcesafe, wise setup program, Visual C++, Delphi. You do not need to worry spelling error when add a new string resource.
  • Notepad, wordpad.
  • Accounting Software
  • Rename file name.

With Autospell you will be able to spell-check in many spots that software programs leave out, such as:

  • Notes and comments sections.
  • Subject line of mails.
  • Any other text areas in software.

When software makers do not implement spell-checking in all parts of their software, AutoSpell fills in. In other words, did you ever lack a spell-checker when typing text? If so, AutoSpell is for you.

AutoSpell and Other Spell Checkers

Though there are other spell checkers on the market, here are some advantages offered by AutoSpell Spell Checker:

AutoSpell works within your application. There is no need to switch to a separate spell checker program.
AutoSpell automatically spell checks your text. You don't have to remember to push a button or do a thing! AutoSpell also gives you the option of performing a manual spell check by selecting the AutoSpell menu item. AutoSpell is completely user configurable. You tell it when and how spell checks will be performed, and it does the rest!

AutoSpell Spell Checker is a real spell checker. Unlike some other tool which provides highlight misspelled word, AutoSpell gives suggestions for misspelled word.


License Agreement

You should carefully read the following terms and conditions before using this software.

DEFINITIONOF SHAREWARE

Shareware distribution gives users a chance to try software before buying it. If you try a Shareware program and continue using it, you are expected to register. Individual programs differ on details -- some request registration while others require it, some specify a maximum trial period. With registration, you get anything from the simple right to continue using the software to an updated program with printed manual.

Copyright laws apply to both Shareware and commercial software,and the copyright holder retains all rights, with a few specific exceptions as stated below. Shareware authors are accomplished programmers, just like commercial authors, and the programs are of comparable quality. (In both cases, there are good programs and bad ones!) The main difference is in the method of distribution. The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group. For example, some authors require written permission before a commercial disk vendor may copy their Shareware.

Shareware is a distribution method, not a type of software. You should find software that suits your needs and pocketbook, whether it's commercial or Shareware. The Shareware system makes fitting your needs easier, because you can try before you buy. And because the overhead is low, prices are low also. Shareware has the ultimate money-back guarantee -- if you don't use the product, you don't pay for it.

DISCLAIMER - AGREEMENT

Users of CompuBridge's Spelling Products must accept this disclaimer of warranty: CompuBridge's Spelling Products are supplied as is. The author disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The author assumes no liability for damages, direct or consequential, which may result from the use of CompuBridge's Spelling Products"

CompuBridge's Spelling Products are "shareware programs" and are provided at no charge to the user for evaluation. Feel free to share it with your friends, but please do not give it away altered or as part of another system. The essence of "user-supported" software is to provide personal computer users with quality software without high prices, and yet to provide incentive for programmers to continue to develop new products. If you find this program useful and find that you are using CompuBridge's Spelling Products and continue to use CompuBridge's Spelling Products after a reasonable trial period, you must make a registration payment to CompuBridge. The registration fee will license one copy for use on any one computer at any one time. You must treat this software just like a book. An example is that this software may be used by any number of people and may be freely moved from one computer location to another, so long as there is no possibility of it being used at one location while it's being used at another. Just as a book cannot be read by two different persons at the same time.

Commercial users of CompuBridge's Spelling Products must register and pay for their copies of CompuBridge's Spelling Products within 25 days of first use or their license is withdrawn. Site-License arrangements may be made by contacting CompuBridge.

Anyone distributing CompuBridge's Spelling Products for any kind of remuneration must first contact CompuBridge for authorization. This authorization will be automatically granted to distributors recognized by the (ASP) as adhering to its guidelines for shareware distributors, and such distributors may begin offering CompuBridge's Spelling Products immediately (However CompuBridge must still be advised so that the distributor can be kept up-to-date with the latest version of CompuBridge's Spelling Products).

You are encouraged to pass a copy of CompuBridge's Spelling Products along to your friends for evaluation. Please encourage them to register their copy if they find that they can use it.

This program is produced by a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with an ASP member by contacting the member directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products. Please write to the ASP Ombudsman at 157-F Love Ave, Greenwood, IN 46142 USA, FAX 317-888-2195, or send e-mail to omb@asp-shareware.org.

Copyright © 1995-2003 CompuBridge, Inc.
All Rights Reserved
Windows®, Window NT®, Windows 95® , Windows 98®, Windows 2000® and Windows XP® are a registered trademarks of Microsoft Corporation.


Registration Information

Registration Instructions

Registering by Check or Money

To register AutoSpell by check, send a completed order form and a check to CompuBridge, Inc., 12235 Broadleaf Lane, Alpharetta, GA 30005 USA.

Payments must be in U.S. dollars drawn on a U.S. bank or in an international postal money order in U.S. dollars.

Registering by Credit Card

To register AutoSpell by credit card, you can:

Place a secure credit card order via the Internet at the CompuBridge web site at http://www.spellchecker.com

Mail a completed order form with your credit card information to CompuBridge, Inc., 12235 Broadleaf Lane, Alpharetta, GA 30005 USA

Fax a completed order form with your credit card information to (801) 912-1591

Call 1-888-SPELL-CK (1-888-773-5525)

Site Licenses

A site license for AutoSpell entitles an organization to receive one copy of the distribution package and to duplicate the distribution disk for the specified number of copies. For higher quantity site license pricing, e-mail sales@spellchecker.com or fax a request to CompuBridge, Inc. at (801) 912-1591.

Purchase Orders

Purchase orders (net 30 days) are accepted from government and accredited educational institutions and major corporations, provided that they are submitted on a purchase order form with a purchase order number. Please be sure to include the standard order form with your purchase order, and mail both to CompuBridge, Inc., 12235 Broadleaf Lane, Alpharetta, GA 30005 USA, or fax them to (801) 912-1591.

Registration Details

When you register AutoSpell, a registration code for the current version of the software will be e-mailed to you. If you want to receive 3.5-inch program disks, include an additional $4.95 for each copy ordered. Registration disk orders will be shipped by postal mail (air mail if you are overseas) within two business days after the order is received.

How to Print the Order Form

1 Access the order form using this link: Order Form.

2 From the File menu, choose Print Topic.

3 Complete the order form as indicated, and submit it by mail or fax according to the instructions on the form.


Order by Check

If you wish to register by mail, we accept money orders or personal checks with complete name and address drawn on US banks. Checks should be made payable to CompuBridge, Inc. Please do not send cash.

1. Print a copy of the order form
2. Complete the order form.
3. Mail the order form to: CompuBridge, Inc.
12235 Broadleaf Lane
Alpharetta, GA 30005
Attn: AutoSpell Registration

4. You will receive a response via E-mail.


Order by Credit Card

We accept Mastercard, Visa, American Express and Discover. To register by CompuBridge's secure on-line registration system:
If you are paying by credit card, the fastest, easiest way to register is to use CompuBridge's secure on-line registration system at www.spellchecker.com

TO REGISTER BY FAX:

1. Print a copy of the order form
2. Complete the order form.
3. Fax the order form to: 1-305-255-1876.
4. You will receive a response via E-mail.

TO REGISTER BY E-MAIL:

1. Print a copy of the order form
2. Complete the order form.
3. Mail the order form to sale@spellchecker.com
4. You will receive a response via E-mail.


Order Form

Print the form by selecting Print from the File menu, and then complete and mail to the address below. CompuBridge Speller Product Order Form

Date: _______________________________________________________
Name: _______________________________________________________
Company: ___________________________________________________
Address: ___________________________________________________
City, State, Zip: ______________________________________________
Country: ___________________________________________________

Day Phone: ____________________________________________________
Eve Phone ___________________________________________________
Fax: ___________________________________________________

Electronic Mail address: _______________________________________
(Please double check your e-mail address; one small typo and we won't be able to communicate with you about your order.)

If pay by credit card
Credit Card Number: _________________________________
Expiration Date _________________________________

Credit Card Holder's Name: _________________________________
Billing Address (if different from above):

City, State, Zip: ______________________________________________
Country: ___________________________________________________

How did you hear about the CompuBridge Speller Product? __________________________
Comments:

Speller for Microsoft Products ____ copies at $14.95 (Regular price $19.95) each: ___________

AutoSpell Max (AutoSpell Spell Checker + AutoSpell Typing Helper) : ____ copies at $34.95 (Regular price $39.95) each: ___________

AutoSpell Spell Checker : ____ copies at $24.95 (Regular price $29.95) each: ___________

AutoSpell Typing Helper : ____ copies at $14.95 (Regular price $19.95) each: ___________

AutoSpell Setup Disk: ____ copies at $4.95 each: ___________

Total Payment: $ ___________

Please make all checks payable to: CompuBridge
Mail to:
CompuBridge, Inc.
12235 Broadleaf Lane
Alpharetta, GA 30005

Thank you. We hope you enjoy using the CompuBridge Speller Products.


Help for AutoSpell

  • How AutoSpell Spell Checker Works
  • Using AutoSpell Spell Checker the first time
  • Disable(Enable) AutoSpell Spell Checker
  • Disable(Enable) Automatically check spelling
  • Spell Checking
  • Switching Language


How to check Spelling

Ways to check spelling

AutoSpell provides 2 ways to check spelling:

  1. Automatically check spelling as you type: To check for spelling errors "behind the scenes," use automatic spelling checking. As you type, the spelling checkers check the text, and then mark possible errors with red underlines. To correct an error, display a shortcut menu and select the correction you want.
  2. Check spelling all at once:
    You can check for spelling errors, and then confirm each correction. This method is useful if you want to postpone proofing a document until after you finish editing it.
    To check your document for spelling errors after you have finished typing it, , find one of the misspelled works, click the right button on your mouse. Click the right mouse and select spell from the bottom of menu.

If you wish to check portion of the text, you may select the text by dragging the mouse over the text, or by using keyboard arrow keys . Click the right mouse and select spell from the bottom of menu.

With the first method, you do not need to do anything. AutoSpell will automatically do it.

Most time, this is the only method you really need. The second method is provided here just in case that some users used to old method of Autospell.


How AutoSpell Spell Checker works

After Autospell is running, it waits for other programs to start. When a program starts up, Autospell checks its list of programs it known not to work with. If the program is not on the list, Autospell will add itself to any window that any edit or richedit controls in it. When you are typing, Autospell will check the spelling interactively.


Control Menu

While holding Ctrl button and press left button mouse, a menu will be displayed. Inside menu, you will find

Enable (or Disable) AutoCheck: Click this button will disable or enable Auto Checking for this instance of application. The spell checker is automatically enable when you restart this application.

Unload:Click this button will unload AutoSpell from this instance of application. The spell checker is automatically enable when you restart this application

Disable always:Click this button will unload AutoSpell from this instance of application. The spell checker will be disabled forever. You can enable this application from AutoSpell control panel.


Using AutoSpell the first time

This will give you a QuickStart in learning the basics of using AutoSpell.

Automatically run at Windows Startup:
The first thing we suggest doing is to enable AutoSpell to launch every time Windows is started. From control panel check the box - Start AutoSpell when I start my computer. Now AutoSpell will automatically run each time Windows starts or restarts, thereby having it ready to easily perform a spell check.

Using AutoSpell the first time:
The easiest way to use AutoSpell the first time is to see how it works in notepad or wordpad.
1. open AutoSpell by clicking the AutoSpell icon (Start Button|Programs| CompuBridge)
2. Open the Windows Notepad or Wordpad
3. start to typing in notepad or wordpad.


Disable AutoSpell

Since Autospell is a window utility. We offer flexible method for you to disable or enable one or more products and for one or more window applications.

There are three methods to disable AutoSpell.

1. Remove AutoSpell from your computer
If you want to remove AutoSpell completely, please see How to uninstall AutoSpell. This will remove Autospell from your computer.

2. Temparary Disable AutoSpell
To disable AutoSpell Application, click the button-Disable AutoSpell from AutoSpell control panel . The button text will be change to Enable AutoSpell. This will disable Autospell from add AutoSpell to any new applications. All current application that has Autospell enable will not be affected by this. If instead of button - Disable Autospell, the Enable AutoSpell button is on the screen. That means AutoSpell is in the disabled state. You do not need to do anything to disable.

3. Disable AutoSpell for some applications
Although we design the program for you to use with many application, you may find that you do not like to use the product for one or some window applications. Or you just want to use the program with one or two applications.

If you like to use AutoSpell with most of application but just not some, click the application buttons. In the application manage window, select the application you do not want Autospell application and add them to the list on right.

If you only need AutoSpell for just few applications, click the button disable to put AutoSpell application to disable status. Then click the application button. In the application manage window, select the application you like to use AutoSpell. Click the ->> key to add them to the list on right.

See Also:

AutoSpell control panel


Changing the language

Installing and using additional language dictionaries

All the language dictionaries downloaded are window setup file. Just double click them and it will install the dictionary into CompuBridge shared directory.

Changing the language

From AutoSpell Control Panel, select Auto Spell from application list. Click settings button. The Spell Checker Driver Manage will be displayed. From Language list in Speller Engine manage tab of Spell Checker Manager, select the language. Click the button - Set as Default Language.

Custom Dictionary Needs:

If you have many words added to you Custom Users Dictionary, we can create a special compiled dictionary with those words, thereby making your spell checking more suited to your needs. This might be especially helpful in situations where you use lots of specialized terms, from auto mechanic to zygote propagation.


Help for Typing Helper
  • How AutoSpell Typing Helper Works
  • Using AutoSpell Typing Helper the first time
  • Disable(Enable) AutoSpell Typing Helper
  • Switching Language


How Typing Helper works

When Autospell is running, it waits for other programs to start. After a program starts up, Autospell checks its list of programs it known not to work with. If the program is not on the list, Autospell will add itself to any window that any edit or richedit controls in it. When you are typing, Autospell typing helper will start to work.


Help for Speller for Microsoft Products

For question regarding how do spell checking and change spelling option from Microsoft Products, please consult the help from Microsoft product about how to use spell checker and how to change spelling options.

CompuBridge Speller for Microsoft Products provide a utility to let user config the options.

  • Edit Spell Engine
  • Custom Dictionary


Uninstall AutoSpell

Uninstall Spell Checker Product

If you want to uninstall AutoSpell, do the following steps

  • From AutoSpell control panel, uncheck the box - Start AutoSpell when I start my computer.

  • Reboot your computer

When computer is restarted. Choose one of the following methods.

Using the uninstaller provided:

AutoSpell installation provides a uninstall utility. Run the uninstaller is available from Control panel/Add and Remove. The uninstaller is also available from program group you selected when you installed the program.

Uninstall manually:

  • Remove AutoSpell directory and AutoSpell group

  • Delete aspled32.dll csct.dll from your window directory


About Us

CompuBridge is a leading developer of world-class spell checking software. Since 1995, thousands customers had used our innovative family of AutoSpell spell checking solutions to add spell checking functionality to many popular desktop, E-mail, chat, bulletin board, text-and word-processing applications. Our products have earned numerous shareware awards as well, including the prestigious ZDNET Editor's Pick (5 stars). Our recent line of server-based products allow web sites, third party developers and Outlook Web Access users to benefit from our proven, robust, spell checking technologies.


Contact Us

CHECK OUR WEB SITE: http://www.spellchecker.com

ON THE INTERNET:

  • For product information: info@spellchecker.com
  • For questions on ordering: sales@spellchecker.com
  • For technical questions or difficulties: support@spellchecker.com
  • For questions about this website: webmaster@spellchecker.com

BY E-MAIL:

  • CompuBridge, Inc.
    12651 South Dixie Highway
    Suite 404
  • Miami, FL 33156
    USA
BY FAX:
  • For product information or to place an order:305-255-1876
  • For customer service and support:305-254-6290


Support Information

  1. If you run into a problem, please follow the instruction to solve your problem:

    • Goto http://www.spellchecker.com

    • If your version is not the latest, please check the latest version about new features and bug fixes

    • Check out FAQs on the web site and FAQs in this help file.

    • View trouble shooting instruction

    • If problem can not be solved, contact CompuBridge

    • .


Frequent Asked Question

How to uninstall AutoSpell.

See Uninstall AutoSpell

Register

Make sure your computer date is correct. After registered, if computer's date is changed backward, Autospell will display expired in status widnow.

If Capital letter Words are not checked.
If you always use capital letter and if you choose the option ignore full caps then all the capital letter will be consider correct. To change it in one of method below

  1. Click the red check mark on task. Select Auto Spell from applications list. Click settings button.

  2. Type some small letter word(and it is spelled wrong) in notepad, then choose spell. Click option button from Word Not Found window

  3. Click start|programs|compubridge AutoSpell|AutoSpell Driver Manage

All methods will bring up the spell checker Driver Manager. Select options tab. Uncheck the Words with UPPERCASE from ignore group.

Select word from word list provide by typing helper

To select a word from the list of word displayed by typing helper, use up and down arrow key to select the word, press space bar to select the word. User can change the key to select word. Another option is return.


Obtaining Additonal Language Dictionaries

Obtaining Additional Language Dictionaries

To save user download time, AutoSpell setup comes with one dictionary English (American). Additional dictionary can be obtain from spell checker web site http://www.spellchecker.com/dictionary.htm

Each language dictionary comes with a setup program which will help you to copy files to correct location. Setup registration database entry as needed.

current we have 16 dictionaries available, they are

  • Czech
  • Danish
  • Dutch
  • English (American, U.S.)
  • English (British, U.K.)
  • English (Canada)
  • Finnish
  • French
  • French (Canada)
  • German
  • Italian
  • Norway
  • Polish
  • Portuguese (Brazil)
  • Portuguese (Portugal)
  • Spanish
  • Swedish

Specialties

  • Medical

  • Legal

Please note that the dictionaries are provided as is, we can not guarantee their accuracy.

We will provide new dictionaries as they are created.

If you provide the word lists, we will be happy to create new dictionaries, either languages or specialized uses. E-mail us to find out the details of how to get a new dictionary created.


.topic 5
AutoSpell Control Panel AutoSpell control panel can be access by click the red check mark on taskbar. AutoSpell control let you control how AutoSpell works. In AutoSpell control panel, you can: Control if you want to start the AutoSpell when computer starts Enable AutoSpell or disable AutoSpell. Enable the application to be used with Autospell you disabled by mistake. Access Speller Engine Manger Access  Trouble shooting utility


Contents

Overview

  • AutoSpell Spell Checker
  • AutoSpell Typing Helper
  • Speller for Microsoft Products

License and Registration Information

  • License Agreement (Read Before Using!)
  • Registration Information (Price and Payment Information)

How to use CompuBridge Speller Product

  • Help for AutoSpell Spell Checker
  • Help for AutoSpell Typing Helper
  • Help for Speller for Microsoft Products
  • How to Uninstall Spell Checker Product

Company Information

  • About CompuBridge
  • Contact Information

Support Information

  • Obtaining Technical Support
  • Frequently Asked Questions
  • Obtaining Additional Language Dictionaries


AutoSpell Control Panel

AutoSpell control panel can be access by click the red check mark on taskbar. AutoSpell control let you control how AutoSpell works. In AutoSpell control panel, you can:

  • Control if you want to start the AutoSpell when computer starts

  • Enable AutoSpell or disable AutoSpell.

  • Enable the application to be used with Autospell you disabled by mistake.

  • Access Speller Engine Manger

  • Access Trouble shooting utility


Speller for Microsoft Products Overview

If you use any of the following application

  • Outlook Express(E-mail application for Internet Explorer 4.x and 5.x)
  • Mail & News (E-mail application for Internet Explorer 3.x)
  • MS Exchange
  • Window Messaging
  • MIcrosoft Office

And you do not have a spellchecker in those application, this product is designed for you.

Microsoft Office comes with English and British (French, Spanish, German for offce 2000) spell checker. You have to purchase spell checker for other language. Now with this product, you can have a good quality spell checker but with minimum cost. This product is designed for people who needs spell checker for multiple languages and people who need Medical dictionary and Legal dictionary for Microsoft Product.

Microsoft office has the full support for spell checker feature. Some other application such as oulook express only has limited support for spell checker. For example, outlook express does not have the utility to let user edit custom dictionary. Exclusive and auto change is not supported in outlook express.

With this product, you can have the spelling check you need in all Microsoft product that has build in support for spelling.

Using the same spelling engine as the award winning application AutoSpell, this application will give you the spell checker you want.

The spell checker supports multiple languages.

Combine with CompuBridge's AutoSpell, you can use the same spelling check engine for your favorite word processor and E-mail program.

Enhancement
AutoChange dictionary support
Exclusive dictionary support

Program Compatibility

Speller for Microsoft® Products works with:

Outlook™

Outlook™ Express (e-mail application for Internet Explorer 4.x, 5.x and 6.x)

Exchange Window Messaging

Platforms Supported

Speller for Microsoft® Internet Products runs on the Windows 98, 95, NT, 2000 and XP platforms.

See Also:

AutoSpell
Language Supported


Speller for Microsoft Products Expired

Registration Information

Your 25 days trial for Speller for Microsoft Products has expired. If you like to continue to use this product, please register.

Registration Information


Trouble Shooting
  1. If the spell checker does not work.
    After the spell checker running, if you do not see the spell checker working, do the following

    1. Check the red check mark on taskbar. If you do not see a red check mark, the autospell may not running. Click start|program|compubridge AutoSpell|autospell. If you do not see compubridge, you may not have Autospell installed. In this case, install Autospell first.

    2. On the right side of AutoSpell control panel, do you see button Enable AutoSpell? If you see the Enable AutoSpell button, that means the spell checker is disabled. Click the Enable AutoSpell to enable the spell checker.

    3. Run AutoSpell Trouble Shooting utility and follow the instruction there.


Trouble Shooting Utility

In the case AutoSpell Spell Check does not work for you, we have the trouble shooting utility to help you trouble shooting the procedure.

Click Start|programs|compubridge AutoSpell|trouble shooting to bring AutoSpell trouble shooting program.